package com.zy.bms.mapper;

import com.zy.bms.entity.DeviceBase;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 设备静态信息 Mapper 接口
 *
 * @author yangxiaokun
 * @since 2021-06-01
 */
@Mapper
@Repository
public interface DeviceBaseMapper extends BaseMapper<DeviceBase> {

    /**
     * 通过设备组查询该设备组的所有设备
     *
     * @param groupId 设备组ID
     * @param type    设备类型
     * @return openNum 集合
     */
    List<String> listOpenNumByGroupId(@Param("groupId") String groupId, @Param("type") String type);
}
