package com.zy.bms.service;

import com.zy.bms.common.enums.DeviceType;
import com.zy.bms.entity.DeviceBase;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 设备静态信息 服务类
 *
 * @author yangxiaokun
 * @since 2021-06-01
 */
public interface IDeviceBaseService extends IService<DeviceBase> {

    /**
     * 通过设备组查询该设备组的所有设备
     *
     * @param groupId 设备组ID
     * @param type    设备类型
     * @return openNum 集合
     */
    List<String> listOpenNumByGroupId(String groupId, DeviceType type);

    /**
     * 更新设备备注
     */
    void updateRemark(DeviceBase deviceBase);

}
