package com.zy.bms.service;

import com.zy.bms.pojo.vo.wx.SimpleDevicesVO;

import java.util.List;

/**
 * 微信小程序接口 服务类
 *
 * @author yangxiaokun
 * @since 2021-06-01
 */
public interface IWxApiService {

    /**
     * 通过设备组查询设备集合
     *
     * @param groupId 设备组
     */
    List listFullInfoByGroupId(Integer userId, String groupId);

    /**
     * 设备列表页面
     * 通过设备组查询全部设备
     *
     * @param userId 用户ID
     */
    List<SimpleDevicesVO> listSimpleInfoByGroupId(Integer userId, String groupId);

    /**
     * 获取设备详情
     *
     * @param openNum 设备码
     */
    Object getDeviceByOpenNum(String openNum);
}
