package com.zy.bms.service.impl;

import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.zy.bms.common.enums.DeviceType;
import com.zy.bms.entity.DeviceBase;
import com.zy.bms.mapper.DeviceBaseMapper;
import com.zy.bms.service.IDeviceBaseService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 设备静态信息 服务实现类
 *
 * @author yangxiaokun
 * @since 2021-06-01
 */
@Service
public class DeviceBaseServiceImpl extends ServiceImpl<DeviceBaseMapper, DeviceBase> implements IDeviceBaseService {

    @Override
    public List<String> listOpenNumByGroupId(String groupId, DeviceType type) {
        return baseMapper.listOpenNumByGroupId(groupId, type.value);
    }

    @Override
    public void updateRemark(DeviceBase deviceBase) {
        UpdateWrapper<DeviceBase> updateWrapper = new UpdateWrapper<>();
        updateWrapper.set("remark", deviceBase.getRemark())
                .eq("open_num", deviceBase.getOpenNum());
        this.update(updateWrapper);
    }

}
